.TH xfallout 1 "December 1993" "U of Crete,Greece"
.SH NAME
XFallout 1.0, a game of blocks for the X Window System
.SH SYNOPSIS
.B xfallout
[
.B toolkit option
]
.SH DESCRIPTION
.br
XFallout is a game of blocks that runs under the X Window
System. The game window is split vertically into two rectangles.
The right rectangle is used for displaying information related
to the game status, while the left is for manipulating the game
blocks. Square blocks having one of six different patterns and
colors fall in triples from the top of the left rectangle. The
vertical speed of these triples depends on the current game level.
The player can move triples along the X axis (left or right) or
rotate them. Blocks pile up at the bottom of the window. Whenever
three or more blocks having the same pattern are aligned horizontally,
vertically or diagonally, they disappear, causing any blocks on their
top to collapse to the bottom of the window. There are also two special
blocks that can be used for eliminating some other blocks. 
One is the "Z" block, which when hit by another
block, causes a random number of blocks to explode. The other is the
"B" (bomb) block which when hit by another block, increments the bombs
available to the player by one. Later, the player can release a bomb
(see section for game controls below), to cause a random number of blocks
to explode. The game ends when the first column of piled blocks reaches
the top of the window.

.SH OPTIONS 
.br
Most of the generic Xtoolkit options are available; see \fIX\fP(1).

.SH GAME CONTROLS
.br
By pressing the left or right mouse button, a triple that
is currently falling moves to the left or right by one column.
Rotation by ninety degrees is achieved by pressing the middle 
mouse button. The above functions are also bound to keyboard 
keys \fI j\fP,\fI l\fP,\fI k\fP respectively. 
A triple is dropped to the bottom of the window by pressing space.
There are additional 
functions bound to keyboard keys: Pressing the \fI a \fP key causes 
the blocks in the falling triple to shift by one column to the right,
thus enabling the player to shuffle triples. The \fI g \fP key starts 
a new game, the \fI n \fP  key toggles the display of the next triple 
to fall on and off, the \fI + \fP and \fI - \fP keys increment
and decrement  the game level by one, 
the \fI b \fP  key fires a bomb if there are any available,
the pair \fI p,\fP \fI r\fP pauses and resumes the game
and \fI q \fP quits without confirmation.
All of the above bindings can be altered to suite personal taste
in the XFallout resource file.

.SH SEE ALSO
.br
\fIX\fP(1)

.SH BUGS
.br
- Different block patterns are not easy to distinguish when running
XFallout on a monochrome monitor.

.br
- The game window cannot be resized.

.SH AUTHOR
Yannis Kavaklis -- kavaklis@csd.uch.gr 
.br
Computer Science Department,
.br
University of Crete, 
.br
Heraklio, Crete, GREECE

.SH CONTRIBUTORS
Manolis Lourakis -- lourakis@csd.uch.gr
.br
Aggelos Keromitis -- kermit@csd.uch.gr
